<?php
/**
 * The template for displaying 404 pages (not found)
 *
 * @link https://codex.wordpress.org/Creating_an_Error_404_Page
 *
 * @package beatrix
 */
 
get_header();

?>

	<section id="main-container" class="blog main-container">
		<div class="container">
			<div class="row">
			   <div class="col-lg-12">
				  <div class="error-page text-center">
					 <div class="error-code">
						<?php esc_html_e('404', 'beatrix'); ?>
					 </div>
					 <div class="error-message">
						<h3><?php esc_html_e('Sorry!...Page Not Found!', 'beatrix'); ?></h3>
					 </div>
					 <div class="error-body">
						<a href="<?php echo esc_url(home_url('/')); ?>" class="error-btn-custom"><i class="icofont-home"></i> <?php esc_html_e('Go Home Page', 'beatrix'); ?></a>
					 </div>
				  </div>
			   </div>
			</div>
		</div>
	</section>

<?php get_footer(); ?>
