(function($) {
    "use strict";

    
    $(".tp-menu-bar").on("click", function () {
        $(".tpoffcanvas").addClass("opened");
        $(".body-overlay").addClass("apply");
    });
    $(".close-btn").on("click", function () {
        $(".tpoffcanvas").removeClass("opened");
        $(".body-overlay").removeClass("apply");
    });
    $(".body-overlay").on("click", function () {
        $(".tpoffcanvas").removeClass("opened");
        $(".body-overlay").removeClass("apply");
    });
    

    $(function () {
        $('#theme-serach-box_Inner').removeClass('toggled');

        $('.theme-search-custom-iconn').on('click', function (e) {
            e.stopPropagation();
            $('#theme-serach-box_Inner').toggleClass('toggled');
            $("#popup-search").focus();
        });

        $('#theme-serach-box_Inner input').on('click', function (e) {
            e.stopPropagation();
        });

        $('#theme-serach-box_Inner, body').on('click', function () {
            $('#theme-serach-box_Inner').removeClass('toggled');
        });
    });
    

    $(window).ready(function () {
        $("#preloader").fadeOut();
    });


    /*----------------------------------------
        Scroll to top
    ----------------------------------------*/

    function BackToTop() {
        $('.scrolltotop').on('click', function () {
        $('html, body').animate({
            scrollTop: 0
        }, 800);
        return false;
    });

        $(document).scroll(function () {
            var y = $(this).scrollTop();
            if (y > 600) {
                $('.scrolltotop').fadeIn();
            } else {
                $('.scrolltotop').fadeOut();
            }
        });

        $(document).scroll(function () {
            var m = $(this).scrollTop();
            if (m > 400) {
                $('.chat-popup').fadeIn();
            } else {
                $('.chat-popup').fadeOut();
            }
        });
    }
    
    BackToTop();

    jQuery('.mainmenu ul.theme-main-menu').slicknav({
        allowParentLinks: true,
        prependTo: '.beatrix-responsive-menu',
        closedSymbol: "&#8594",
        openedSymbol: "&#8595",
    });
        

    /* ----------------------------------------------------------- */
      /*  Video popup
    /* ----------------------------------------------------------- */

      if ($('.video-play-btn').length > 0) {
       $('.video-play-btn').magnificPopup({
           type: 'iframe',
           mainClass: 'mfp-with-zoom',
           zoom: {
               enabled: true, // By default it's false, so don't forget to enable it

               duration: 300, // duration of the effect, in milliseconds
               easing: 'ease-in-out', // CSS transition easing function

               opener: function (openerElement) {
                   return openerElement.is('img') ? openerElement : openerElement.find('img');
               }
           }
       });
    }



    $(document).ready(function(){    

        /**
        * Light & Dark Mode jQuery Toggle Using localStorage
        */    

        // Check for saved 'switchMode' in localStorage
        let switchMode = localStorage.getItem('switchMode');

        // Get selector
        const switchModeToggle = $(' .mode-switcher ');

        // Dark mode function
        const enableDarkMode = function() {
            // Add the class to the body
            $( 'body' ).addClass('likhun-dark');
            // Update switchMode in localStorage
            localStorage.setItem('switchMode', 'enabled');
        }

        // Light mdoe function
        const disableDarkMode = function() {
            // Remove the class from the body
            $( 'body' ).removeClass('likhun-dark');
            // Update switchMode in localStorage value
            localStorage.setItem('switchMode', null);
        }

        // If the user already visited and enabled switchMode
        if (switchMode === 'enabled') {
            enableDarkMode();
            // Dark icon enabled
            $( '.mode-icon-change' ).addClass( 'icofont-sun-alt' );
            $( '.mode-icon-change' ).removeClass( 'icofont-moon' );
        } else {
            // Light icon enabled
            $( '.mode-icon-change' ).addClass( 'icofont-moon' );
            $( '.mode-icon-change' ).removeClass( 'icofont-sun-alt' );
        }

        // When someone clicks the button
        switchModeToggle.on('click', function() {
            // Change switch icon
            $( '.mode-icon-change' ).toggleClass( 'icofont-moon' );
            $( '.mode-icon-change' ).toggleClass( 'icofont-sun-alt' );

            // get their switchMode setting
            switchMode = localStorage.getItem('switchMode');

            // if it not current enabled, enable it
            if (switchMode !== 'enabled') {
                enableDarkMode();              
            // if it has been enabled, turn it off  
            } else {  
                disableDarkMode();              
            }
        });

    }); // End load document
      


})(jQuery);