<?php
/**
 * The template for displaying all single posts
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/#single-post
 *
 * @package beatrix
 */

get_header();

?>


	<?php 

	//Single Blog Template
	
	$beatrix_singleb_global = beatrix_get_option( 'beatrix_single_blog_layout' ); //for globally	
	$beatrix_single_post_style = get_post_meta( get_the_ID(),'beatrix_blog_post_meta', true );

	$theme_post_meta_single = isset($beatrix_single_post_style['beatrix_single_blog_layout']) && !empty($beatrix_single_post_style['beatrix_single_blog_layout']) ? $beatrix_single_post_style['beatrix_single_blog_layout'] : '';
	
	if( is_single() && !empty( $beatrix_single_post_style  ) ) {
	 
		get_template_part( 'template-parts/single/'.$theme_post_meta_single.'' ); 
	
	} elseif ( class_exists( 'CSF' ) && !empty( $beatrix_singleb_global ) ) {
		
		get_template_part( 'template-parts/single/'.$beatrix_singleb_global.'' );  
		
	} else {
		
		get_template_part( 'template-parts/single/single-one' );  
	}
		
	?>


<?php get_footer(); ?>
