<?php 

/**
 * All Elementor widget init
 * @package Beatrix
 * @since 1.0.0
 */

function register_elementor_extra_widgets( $widgets_manager ) {



	require_once( BEATRIX_EXTRA_ELEMENTOR . '/widgets/post-block-template-one.php' );
    require_once( BEATRIX_EXTRA_ELEMENTOR . '/widgets/post-block-list-one.php' );
    require_once( BEATRIX_EXTRA_ELEMENTOR . '/widgets/post-block-list-two.php' );
    require_once( BEATRIX_EXTRA_ELEMENTOR . '/widgets/post-block-column-one.php' );
    require_once( BEATRIX_EXTRA_ELEMENTOR . '/widgets/post-block-template-two.php' );
    require_once( BEATRIX_EXTRA_ELEMENTOR . '/widgets/post-block-list-three.php' );
    require_once( BEATRIX_EXTRA_ELEMENTOR . '/widgets/post-block-column-number.php' );
    require_once( BEATRIX_EXTRA_ELEMENTOR . '/widgets/post-block-template-video.php' );
    require_once( BEATRIX_EXTRA_ELEMENTOR . '/widgets/post-block-template-video-list.php' );



	$widgets_manager->register( new \beatrix_post_block_template_one() );
    $widgets_manager->register( new \beatrix_post_block_list_one() );
    $widgets_manager->register( new \beatrix_post_block_list_two() );
    $widgets_manager->register( new \beatrix_post_block_column_one() );
    $widgets_manager->register( new \beatrix_post_block_template_two() );
    $widgets_manager->register( new \beatrix_post_block_list_three() );
    $widgets_manager->register( new \beatrix_post_block_column_number() );
    $widgets_manager->register( new \beatrix_post_block_template_video() );
    $widgets_manager->register( new \beatrix_post_block_template_video_list() );



}
add_action( 'elementor/widgets/register', 'register_elementor_extra_widgets' );






/**
 * Beatrix Elementor _widget_categories()
 * @since 1.0.0
 * */


function beatrix_elementor_widget_categories($elements_manager) {

    $elements_manager->add_category(
        'beatrix_widgets',
        [
            'title' => __('Beatrix Widgets', 'beatrix-extra'),
        ]
    );

}

add_action('elementor/elements/categories_registered', 'beatrix_elementor_widget_categories');