    <article <?php post_class('post-block-style-wrapper post-block-template-one'); ?>>

        <div class="post-block-style-inner">

        	<?php if(has_post_thumbnail()): ?>
            <div class="post-block-media-wrap">
				<a href="<?php the_permalink(); ?>" class="post-block-media-wrap">
					<img class="img-fluid" src="<?php echo esc_attr(esc_url(get_the_post_thumbnail_url(null, 'full'))); ?>" alt="<?php the_title_attribute(); ?>">
				</a>
            </div>
            <?php endif; ?>

            <div class="post-block-content-wrap">
                <div class="post-item-title">
                    <h2 class="post-title">
                        <a href="<?php echo esc_url(get_the_permalink()); ?>"><?php echo get_the_title(); ?></a>
                    </h2>
                </div>
                <div class="post-excerpt-box">
                    <p><?php echo esc_html( wp_trim_words(get_the_excerpt(), 20 ,'') );?></p>
                </div>
                <div class="post-bottom-meta-list">
                    <div class="post-meta-author-box">
                        By <?php echo get_the_author_link(); ?>
                    </div>
                    <div class="post-meta-date-box">
                        <?php echo esc_html( get_the_date( 'F j, Y' ) ); ?>
                    </div>
                </div>
            </div>
        </div>
    </article>
